# Interface UserDefinedValueTypeTypeLocal

Local UDVT (defined in a contract)

#### Category

User-defined elementary types

#### Hierarchy

- UserDefinedValueTypeTypeLocal

- Defined in codec/lib/format/types.ts:546

#####
Index

### Properties

definingContract?
definingContractName
id
kind
typeClass
typeName
underlyingType?

## Properties

### `Optional` definingContract

definingContract?: ContractTypeNative

- Defined in codec/lib/format/types.ts:555

### definingContractName

definingContractName: string

- Defined in codec/lib/format/types.ts:554

### id

id: string

Internal ID. Format may change in future.

- Defined in codec/lib/format/types.ts:552

### kind

kind: "local"

- Defined in codec/lib/format/types.ts:548

### typeClass

typeClass: "userDefinedValueType"

- Defined in codec/lib/format/types.ts:547

### typeName

typeName: string

- Defined in codec/lib/format/types.ts:553

### `Optional` underlyingType

underlyingType?: BuiltInValueType

- Defined in codec/lib/format/types.ts:556

Generated using TypeDoc